org.springframework.scheduling.annotation

## Interface AsyncConfigurer

-     public interface AsyncConfigurer

  Interface to be implemented by @`Configuration` classes annotated with @`EnableAsync` that wish to customize the `Executor` instance used when processing async method invocations.

  See @`EnableAsync` for usage examples.

  Since:
    3.1
  Author:
    Chris Beams
  See Also:
    `AbstractAsyncConfiguration`, `EnableAsync`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Executor` | `getAsyncExecutor()` The `Executor` instance to be used when processing async method invocations.

- - ### Method Detail

    - #### getAsyncExecutor

          Executor getAsyncExecutor()

      The `Executor` instance to be used when processing async method invocations.